#pragma once
#include "../includes.h"
#include "../scene.h"

class SceneParser {
	private:
		const char* _file;
	public:
		SceneParser(Scene* scene, const char* path) {
			_file = file_get_file(path);
			if (_file==NULL) throw glLibError("Could not open file!");
		}
		~SceneParser() {
			free((void*)(_file));
		}

		list<string*>* parse() {
			return NULL;
		}
};